# \[iOS]利用可能なモジュール一覧

KARTE SDKでは機能毎にモジュールを提供しております。\
利用する機能に応じて、部分的にモジュールを導入することが可能です。

なお KarteCore 導入は必須です。

| Module name                       | Pods                                    | `module_info`         | Description                                            |
| --------------------------------- | --------------------------------------- | --------------------- | ------------------------------------------------------ |
| KarteCore                         | pod 'KarteCore'                         | `core`                | イベントトラッキング機能を提供します。                                    |
| KarteCrashReporting               | pod 'KarteCrashReporting'               | `crash_reporting`     | クラッシュイベントのトラッキング機能を提供します。                              |
| KarteInAppMessaging               | pod 'KarteInAppMessaging'               | `in_app_messaging`    | アプリ内メッセージ機能を提供します。                                     |
| KarteRemoteNotification           | pod 'KarteRemoteNotification'           | `remote_notification` | プッシュ通知の受信および効果測定機能を提供します。                              |
| KarteVariables                    | pod 'KarteVariables'                    | `variables`           | 設定値配信機能を提供します。                                         |
| KarteVisualTracking               | pod 'KarteVisualTracking'               | `visual_tracking`     | ビジュアルトラッキング機能を提供します。                                   |
| KarteUtilities                    | -                                       | `utilities`           | KarteCore モジュール等が利用するUtility機能を提供します。通常直接参照する必要はありません。 |
| KarteNotificationServiceExtension | pod 'KarteNotificationServiceExtension' | -                     | リッチプッシュ通知機能を提供します。                                     |
| KarteDebugger                     | pod 'KarteDebugger'                     | `karte_debugger`      | SDKイベントデバッガー機能を提供します。                                  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://app.developers.karte.io/ios-sdk-appendix/appendix-module-ios-sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
